<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Positioning</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Calibri, Arial, Helvetica;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        .div1 {
            background: dodgerblue;
            width: 200px;
            height: 200px;
            left: 30px;
            top: 40px;
            /* top: 50px;
            left: 10px; */
            position: absolute;
        }

        .container {
            width: 600px;
            height: 300px;
            background: lime;
            position: absolute;
            top: 50px;
            right: 50px;
        }

        .fixed-div {
            background: magenta;
            width: 100px;
            height: 30px;
            position: fixed;
            top: 50px;
            left: 10px;
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="div2">
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Maiores voluptates libero possimus animi eius amet
            velit assumenda molestias illum voluptatum, odit, nihil tenetur eligendi natus optio ea. Omnis, corporis
            eum.
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Repellendus quasi sunt eaque. Beatae molestias
            eveniet dolore vero ratione at ab, esse, nisi laboriosam eos deserunt porro excepturi magni doloribus modi!
            Lorem ipsum dolor sit amet consectetur adipisicing elit. In consequatur similique quasi consequuntur dolore!
            Ullam mollitia, nemo est perspiciatis aliquam tempore quo aspernatur officiis, odio vitae labore ad minima
            illo.
        </div>
        <div class="div1">
            DIV1
        </div>
    </div>
    <div class="fixed-div">
        Fixed
    </div>
    <br><br><br><br><br><br><br><br>
    <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br>
    Lorem ipsum dolor sit amet consectetur adipisicing elit. Ab illum voluptates error vitae consectetur, sunt ipsum adipisci praesentium, obcaecati recusandae accusantium esse enim voluptatem repellendus rerum maxime quo nemo ducimus.
</body>

</html>